Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.Actions.FoldPrecursor
Class RNAfoldWS

    java.lang.Object
      de.unibi.techfak.InSilicoDicer.Actions.FoldPrecursor.RNAfoldWS

All Implemented Interfaces:
  Action, IFoldingAction

    public class RNAfoldWS

extends java.lang.Object
implements IFoldingAction

Implementation of interface IFoldingAction, which uses RNAfold as webservice running on BiBiServ

Author:
  Jan Krüger

Constructor Summary
`RNAfoldWS()` Default Constructor - creates a new Status object and call constructor RNAFoldWS(Status status)
`RNAfoldWS(Status status)` Constructor

Method Summary
`void` | `foldPrecursor(PrecursorContainer pc)` Creates a File with the Precursors Nucleotide Sequence; Folds the given precursor with vienna package; Adds the Folding to Precursor`s properties
`Status` | `getStatus()` Returns the status of current Action
`void` | `setStatus(Status status)` Set the status of current Action

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RNAfoldWS

    public RNAfoldWS()

  Default Constructor - creates a new Status object and call constructor RNAFoldWS(Status status)

### RNAfoldWS

    public RNAfoldWS(Status status)

  Constructor

  Parameters:
    `status` - - The status of this class

Method Detail

### foldPrecursor

    public void foldPrecursor(PrecursorContainer pc)

  Description copied from interface: `IFoldingAction`
  Creates a File with the Precursors Nucleotide Sequence; Folds the given precursor with vienna package; Adds the Folding to Precursor`s properties

  Specified by:
    `foldPrecursor` in interface `IFoldingAction`

### getStatus

    public Status getStatus()

  Description copied from interface: `Action`
  Returns the status of current Action

  Specified by:
    `getStatus` in interface `Action`
  Returns:
    Status of this Action

### setStatus

    public void setStatus(Status status)

  Description copied from interface: `Action`
  Set the status of current Action

  Specified by:
    `setStatus` in interface `Action`
  Parameters:
    `status` - - Status to be set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD